Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSInitialize

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSMovieObject
              com.flagstone.transform.FSInitialize

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSInitialize

extends FSMovieObject

FSInitialize is used to specify a sequence of actions that are executed to initialise a movie clip before it is displayed.

It implements the #initclip pragma in the ActionScript language.

Attributes
type | Identifies the data structure when it is encoded. Read-only.
identifier | The identifier of the FSDefineMovieClip object that defines the movie clip.
actions | An array of actions that will be executed to initialize the movie clips.

Unlike the FSDoAction class which specifies the actions that are executed when a particular frame is displayed the actions contained in an FSInitialize object are executed only once, regardless of where the object is included in a movie. If a frame containing the FSInitialize object is played again the actions are skipped. Also there can only be one FSInitialize object for each movie clip defined in the movie.

# Examples

      ArrayList actions = new ArrayList();

      actions.add(new FSPush("_root"));
      actions.add(FSAction.GetVariable());

      int clipId = movie.newIdentifier();

      movie.add(new FSDefineMovieClip(clipId, clipObjects));
      ...

      movie.add(new FSInitialize(clipId, actions));
      ...
      movie.add(new FSShowFrame());

# History

The FSInitialize class represents the DoInitAction tag from the Macromedia Flash (SWF) File Format Specification. It was introduced in Flash 6.

See Also:
  `FSDoAction`

Field Summary

Fields inherited from class com.flagstone.transform.FSMovieObject
`ButtonColorTransform, ButtonSound, DefineBitsPtr, DefineButton, DefineButton2, DefineFont, DefineFont2, DefineImage, DefineImage2, DefineJPEGImage, DefineJPEGImage2, DefineJPEGImage3, DefineMorphShape, DefineMovieClip, DefineShape, DefineShape2, DefineShape3, DefineSound, DefineText, DefineText2, DefineTextField, DefineVideo, DoAction, EnableDebugger, EnableDebugger2, Export, extendLength, FontInfo, FontInfo2, FrameLabel, Free, Import, Initialize, JPEGTables, length, LimitScript, PathsArePostscript, PlaceObject, PlaceObject2, Protect, QuicktimeMovie, RemoveObject, RemoveObject2, SerialNumber, SetBackgroundColor, ShowFrame, SoundStreamBlock, SoundStreamHead, SoundStreamHead2, StartSound, TabOrder, type, VideoFrame`

Constructor Summary
`FSInitialize(FSCoder coder)` Construct an FSInitialize object, initialising it with values decoded from an encoded object.
`FSInitialize(FSInitialize obj)` Constructs an FSInitialize object by copying values from an existing object.
`FSInitialize(int anIdentifier, java.util.ArrayList anArray)` Constructs an FSInitialize object that will initialize the movie clip with the specified identifier with the actions in the array.
`FSInitialize(int anIdentifier, byte[] bytes)` Constructs an FSInitialize object that will initialize the movie clip with the specified identifier with the encoded actions.

Method Summary
`void` | `add(FSActionObject anAction)` Adds the action object to the array of actions.
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`java.lang.Object` | `clone()` Creates a deep copy of the entire object.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`boolean` | `equals(java.lang.Object anObject)` Returns true if anObject is equal to this one.
`java.util.ArrayList` | `getActions()` Get the array of actions that are used to initialize the movie clip.
`byte[]` | `getEncodedActions()` Get the array of encoded actions that are executed when the frame is displayed.
`int` | `getIdentifier()` Returns the identifier of the movie clip that will be initialized.
`int` | `length(FSCoder coder)`
`void` | `setActions(java.util.ArrayList anArray)` Set the array of actions of the movie clip that will be initialized
`void` | `setEncodedActions(byte[] bytes)` Set the array of encoded actions generated by the classes in the Translate framework.
`void` | `setIdentifier(int aNumber)` Sets the identifier of the movie clip that will be initialized.

Methods inherited from class com.flagstone.transform.FSMovieObject
`getType`

Methods inherited from class com.flagstone.transform.FSTransformObject
`name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSInitialize

    public FSInitialize(FSCoder coder)

  Construct an FSInitialize object, initialising it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSInitialize

    public FSInitialize(int anIdentifier,
                        java.util.ArrayList anArray)

  Constructs an FSInitialize object that will initialize the movie clip with the specified identifier with the actions in the array.

  Parameters:
    `anIdentifier` - the identifier of the movie clip to initialize
    `anArray` - the array of action objects.

### FSInitialize

    public FSInitialize(int anIdentifier,
                        byte[] bytes)

  Constructs an FSInitialize object that will initialize the movie clip with the specified identifier with the encoded actions.

  Parameters:
    `anIdentifier` - the identifier of the movie clip to initialize
    `bytes` - an array of encoded action objects.

### FSInitialize

    public FSInitialize(FSInitialize obj)

  Constructs an FSInitialize object by copying values from an existing object.

  Parameters:
    `obj` - an FSInitialize object.

Method Detail

### getIdentifier

    public int getIdentifier()

  Returns the identifier of the movie clip that will be initialized.

  Returns:
    the identifier of the movie clip.

### setIdentifier

    public void setIdentifier(int aNumber)

  Sets the identifier of the movie clip that will be initialized.

  Parameters:
    `aNumber` - the identifier of the movie clip. The value must be in the range 1..65535.

### add

    public void add(FSActionObject anAction)

  Adds the action object to the array of actions.

  Parameters:
    `anAction` - an object belonging to a class derived from FSActionObject.

### getActions

    public java.util.ArrayList getActions()

  Get the array of actions that are used to initialize the movie clip.

  Returns:
    the array of action objects.

### setActions

    public void setActions(java.util.ArrayList anArray)

  Set the array of actions of the movie clip that will be initialized

  Parameters:
    `anArray` - the array of action objects.

### getEncodedActions

    public byte[] getEncodedActions()

  Get the array of encoded actions that are executed when the frame is displayed.

  Returns:
    the array of action objects or null if the actions have been decoded.

### setEncodedActions

    public void setEncodedActions(byte[] bytes)

  Set the array of encoded actions generated by the classes in the Translate framework. If the object already contains an array of actions then they will be deleted.

  Parameters:
    `bytes` - the array of encoded actions.

### clone

    public java.lang.Object clone()

  Description copied from class: `FSTransformObject`
  Creates a deep copy of the entire object.

  Overrides:
    `clone` in class `FSTransformObject`
  Returns:
    a copy of the object.

### equals

    public boolean equals(java.lang.Object anObject)

  Description copied from class: `FSMovieObject`
  Returns true if anObject is equal to this one. Objects are considered equal if they would generate identical binary data when they are encoded to a Flash file.

  Overrides:
    `equals` in class `FSMovieObject`
  Returns:
    true if this object would be identical to anObject when encoded.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Overrides:
    `appendDescription` in class `FSMovieObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Overrides:
    `length` in class `FSMovieObject`

### encode

    public void encode(FSCoder coder)

  Overrides:
    `encode` in class `FSMovieObject`

### decode

    public void decode(FSCoder coder)

  Overrides:
    `decode` in class `FSMovieObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD